"Доступна более новая версия AWS SAM CLI!" ошибка при локальном запуске лямбда-функции в Cloud9 IDE - aws-lambda


0

Я пытаюсь запустить функцию локально в Cloud9 IDE, и я получаю эту ошибку. Если я запускаю его удаленно, он работает нормально.

Я установил последнюю версию aws-sam-cli. Когда я запускаю $sam --version, я получаю SAM CLI, версия 0.8.0, которая не является ни версией в сообщении об ошибке, ни версией, которую я установил.

Я также попытался удалить aws-sam-cli, переустановить aws-cli, ничего не работает.

Источник
  •  384
  •  1
  • 11 май 2020 2020-05-11 10:17:53

1 ответ

0

Я следовал инструкциям на https://jun711.github.io/aws/steps-to-update-aws-cloud9-sam-cli-to-latest-version/ и могу подтвердить, что они работали на меня.

Я все еще могу просматривать и выполнять свои лямбды с помощью вкладки Ресурсы AWS Cloud9> без проблем.

Реквизит автору июнь.

  • 11 май 2020 2020-05-11 10:17:54